Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1605900 - python-scrapy: FTBFS in Fedora rawhide
Summary: python-scrapy: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-scrapy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON37 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:31 UTC by Mohan Boddu
Modified: 2018-08-13 23:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-13 23:02:24 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 17:32 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 17:32 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 17:32 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:31:58 UTC
python-scrapy failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28224735


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-scrapy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-scrapy will be orphaned. Before branching of Fedora 30,
python-scrapy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:32:04 UTC
Created attachment 1466801 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 17:32:06 UTC
Created attachment 1466802 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:32:09 UTC
Created attachment 1466803 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:26:34 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-06 10:22:25 UTC
This is another friendly reminder.

Please take action.

Comment 6 Miro Hrončok 2018-08-10 13:47:19 UTC
Note that I requested an approval from FESCo to retire leaf packages that still require Python 3.6 at beta freeze and their bugs are in NEW state. (This package might not necessarily be leaf at this moment, but I'm updating all the bugs in case the dependencies change in the meantime.)

More info at https://pagure.io/fesco/issue/1965

Comment 7 Miro Hrončok 2018-08-13 11:59:28 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 8 Eduardo Echeverria 2018-08-13 23:00:53 UTC
https://koji.fedoraproject.org/koji/buildinfo?buildID=1135989 the FTBS has been fixed


Note You need to log in before you can comment on or make changes to this bug.